Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.util
Class Render

    java.lang.Object
      echopointng.ui.util.Render

    public class Render

extends java.lang.Object

`Render` is used to render stuff into CssStyle objects. It goals is to reduce the amount of code needed to create valid CssStyle objects.

Constructor Summary
`Render()`

Method Summary
`static void` | `asAble(CssStyle cssStyle, java.lang.Object ableObject)` This will take an object and render all the interfaces that the Render code knows about such as Borderable, Insetable or MouseCursorable.
`static void` | `asAble(CssStyle cssStyle, java.lang.Object ableObject, Style fallbackStyle)` This will take an object and render all the interfaces that the Render code knows about such as Borderable, Insetable or MouseCursorable.
`static void` | `asAlignable(CssStyle cssStyle, Alignable able)` Renders an Alignable into the CssStyle.
`static void` | `asAlignable(CssStyle cssStyle, Alignable able, Style fallbackStyle)` Renders an Alignable into the CssStyle.
`static void` | `asBackgroundImage(RenderContext rc, CssStyle cssStyle, FillImage backgroundImage)` Renders an background `FillImage` into the CssStyle.
`static void` | `asBackgroundImageable(RenderContext rc, CssStyle cssStyle, BackgroundImageable able)` Renders an BackgroundImageable into the CssStyle.
`static void` | `asBackgroundImageable(RenderContext rc, CssStyle cssStyle, BackgroundImageable able, Style fallbackStyle)` Renders an BackgroundImageable into the CssStyle.
`static void` | `asBackgroundImageImpl(RenderContext rc, CssStyle cssStyle, FillImage backgroundImage, Component component)`
`static void` | `asBorder(CssStyle cssStyle, Border border)` Renders a Border to the CSS border values
`static void` | `asBorder(CssStyle cssStyle, Component component, java.lang.String propertyName)` Renders the specified component's property as a Border into the CssStyle provided.
`static void` | `asBorder(CssStyle cssStyle, Component component, java.lang.String propertyName, Style fallbackStyle)` Renders the specified component's property as a Border into the CssStyle provided.
`static void` | `asBorderable(CssStyle cssStyle, Borderable able)` Renders a Borderable into the CssStyle.
`static void` | `asBorderable(CssStyle cssStyle, Borderable able, Style fallbackStyle)` Renders a Borderable into the CssStyle.
`static void` | `asColor(CssStyle cssStyle, Color color, java.lang.String cssAttributeName)` Renders a color to the specified CSS attribute
`static void` | `asColors(CssStyle cssStyle, Component component)` Renders the specified component's background and foreground properties into the CssStyle provided.
`static void` | `asColors(CssStyle cssStyle, Component component, java.lang.String backgroundPropertyName, java.lang.String foregroundPropertyName)` Renders the specified component's background property and foreground property into the CssStyle provided.
`static void` | `asColors(CssStyle cssStyle, Component component, java.lang.String backgroundPropertyName, java.lang.String foregroundPropertyName, Style fallbackStyle)` Renders the specified component's background property and foreground property into the CssStyle provided.
`static void` | `asColors(CssStyle cssStyle, Component component, Style fallbackStyle)` Renders the specified component's background and foreground properties into the CssStyle provided.
`static void` | `asComponent(CssStyle cssStyle, Component component)` This will take a component and render all the interfaces that the Render code knows about such as Borderable, Insetable or MouseCursorable.
`static void` | `asComponent(CssStyle cssStyle, Component component, Style fallbackStyle)` This will take a component and render all the interfaces that the Render code knows about such as Borderable, Insetable or MouseCursorable.
`static void` | `asFillImage(CssStyle cssStyle, Component component, java.lang.String propertyName, RenderContext rc)` This will render the FillImage property from the component.
`static void` | `asFillImage(CssStyle cssStyle, Component component, java.lang.String propertyName, Style fallbackStyle, RenderContext rc)` This will render the FillImage property from the component.
`static void` | `asFont(CssStyle cssStyle, Component component)` Renders the specified component's "font" property as a Font into the CssStyle provided.
`static void` | `asFont(CssStyle cssStyle, Component component, java.lang.String propertyName)` Renders the specified component's property as a Font into the CssStyle provided.
`static void` | `asFont(CssStyle cssStyle, Component component, java.lang.String propertyName, Style fallbackStyle)` Renders the specified component's property as a Font into the CssStyle provided.
`static void` | `asFont(CssStyle cssStyle, Component component, Style fallbackStyle)` Renders the specified component's "font" property as a Font into the CssStyle provided.
`static void` | `asFont(CssStyle cssStyle, Font font)` Renders the specified font into the CssStyle provided.
`static void` | `asHeightable(CssStyle cssStyle, Heightable able)` Renders a Heightable into the CssStyle.
`static void` | `asHeightable(CssStyle cssStyle, Heightable able, Style fallbackStyle)` Renders a Heightable into the CssStyle.
`static void` | `asInsetable(CssStyle cssStyle, Insetable able)` Renders an Insetable into the CssStyle.
`static void` | `asInsetable(CssStyle cssStyle, Insetable able, Style fallbackStyle)` Renders an Insetable into the CssStyle.
`static void` | `asInsets(CssStyle cssStyle, Component component, java.lang.String propertyName, java.lang.String cssAttributeName)` Renders the specified component's property as an Insets into the CssStyle provided.
`static void` | `asInsets(CssStyle cssStyle, Component component, java.lang.String propertyName, java.lang.String cssAttributeName, Style fallbackStyle)` Renders the specified component's property as an Insets into the CssStyle provided.
`static void` | `asMouseCursorable(CssStyle cssStyle, MouseCursorable able)` Renders a MouseCursorable into the CssStyle.
`static void` | `asMouseCursorable(CssStyle cssStyle, MouseCursorable able, Style fallbackStyle)` Renders a MouseCursorable into the CssStyle.
`static void` | `asPositionable(CssStyle cssStyle, Positionable able)` Renders a Positionable into the CssStyle.
`static void` | `asPositionable(CssStyle cssStyle, Positionable able, Style fallbackStyle)` Renders a Positionable into the CssStyle.
`static void` | `asScrollable(CssStyle cssStyle, Scrollable able)` Renders a Scrollable into the CssStyle.
`static void` | `asScrollable(CssStyle cssStyle, Scrollable able, Style fallbackStyle)` Renders a Scrollable into the CssStyle.
`static void` | `asSizeable(CssStyle cssStyle, Sizeable able)` Renders a Sizeable into the CssStyle.
`static void` | `asSizeable(CssStyle cssStyle, Sizeable able, Style fallbackStyle)` Renders a Sizeable into the CssStyle.
`static void` | `asWidthable(CssStyle cssStyle, Widthable able)` Renders a Widthable into the CssStyle.
`static void` | `asWidthable(CssStyle cssStyle, Widthable able, Style fallbackStyle)` Renders a Widthable into the CssStyle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Render

    public Render()

Method Detail

### asAble

    public static void asAble(CssStyle cssStyle,
                              java.lang.Object ableObject)

  This will take an object and render all the interfaces that the Render code knows about such as Borderable, Insetable or MouseCursorable.

  Parameters:
    `cssStyle` - - the CssStyle object to render into
    `ableObject` - - the object that may implement some of the known able interfaces

### asAble

    public static void asAble(CssStyle cssStyle,
                              java.lang.Object ableObject,
                              Style fallbackStyle)

  This will take an object and render all the interfaces that the Render code knows about such as Borderable, Insetable or MouseCursorable.

  Parameters:
    `cssStyle` - - the CssStyle object to render into
    `ableObject` - - the object that may implement some of the known able interfaces
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the ableObject.

### asBorder

    public static void asBorder(CssStyle cssStyle,
                                Border border)

  Renders a Border to the CSS border values

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `border` - - the Border

### asBorder

    public static void asBorder(CssStyle cssStyle,
                                Component component,
                                java.lang.String propertyName)

  Renders the specified component's property as a Border into the CssStyle provided.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `propertyName` - - the name of the components's "render" property

### asBorder

    public static void asBorder(CssStyle cssStyle,
                                Component component,
                                java.lang.String propertyName,
                                Style fallbackStyle)

  Renders the specified component's property as a Border into the CssStyle provided.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `propertyName` - - the name of the components's "render" property
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the component.

### asBorderable

    public static void asBorderable(CssStyle cssStyle,
                                    Borderable able)

  Renders a Borderable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asBorderable

    public static void asBorderable(CssStyle cssStyle,
                                    Borderable able,
                                    Style fallbackStyle)

  Renders a Borderable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the Borderable.

### asColor

    public static void asColor(CssStyle cssStyle,
                               Color color,
                               java.lang.String cssAttributeName)

  Renders a color to the specified CSS attribute

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `color` - - the color to be rendered
    `cssAttributeName` - - the CSS attribute name to place the color value in

### asColors

    public static void asColors(CssStyle cssStyle,
                                Component component)

  Renders the specified component's background and foreground properties into the CssStyle provided.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()

### asColors

    public static void asColors(CssStyle cssStyle,
                                Component component,
                                java.lang.String backgroundPropertyName,
                                java.lang.String foregroundPropertyName)

  Renders the specified component's background property and foreground property into the CssStyle provided.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `backgroundPropertyName` - - the name of the background "render" property - can be null
    `foregroundPropertyName` - - the name of the foreground "render" property - can be null

### asColors

    public static void asColors(CssStyle cssStyle,
                                Component component,
                                java.lang.String backgroundPropertyName,
                                java.lang.String foregroundPropertyName,
                                Style fallbackStyle)

  Renders the specified component's background property and foreground property into the CssStyle provided.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `backgroundPropertyName` - - the name of the background "render" property - can be null
    `foregroundPropertyName` - - the name of the foreground "render" property - can be null
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the component.

### asColors

    public static void asColors(CssStyle cssStyle,
                                Component component,
                                Style fallbackStyle)

  Renders the specified component's background and foreground properties into the CssStyle provided.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the component.

### asComponent

    public static void asComponent(CssStyle cssStyle,
                                   Component component)

  This will take a component and render all the interfaces that the Render code knows about such as Borderable, Insetable or MouseCursorable.

  It also renders the standard Component properties into the CssStyle such as forground color, background color and font.

  Parameters:
    `cssStyle` - - the CssStyle object to render into
    `component` - - the component that may implement some of the known interfaces

### asComponent

    public static void asComponent(CssStyle cssStyle,
                                   Component component,
                                   Style fallbackStyle)

  This will take a component and render all the interfaces that the Render code knows about such as Borderable, Insetable or MouseCursorable.

  It also renders the standard Component properties into the CssStyle such as forground color, background color and font.

  Parameters:
    `cssStyle` - - the CssStyle object to render into
    `component` - - the component that may implement some of the known interfaces
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the component.

### asFillImage

    public static void asFillImage(CssStyle cssStyle,
                                   Component component,
                                   java.lang.String propertyName,
                                   RenderContext rc)

  This will render the FillImage property from the component. It uses property name to find the FillImage and also assumes the the ImageRenderSupport uses the same name when providing the Image.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle object to render into
    `component` - - the component that may implement some of the known interfaces
    `propertyName` - - the name of the components's "render" property
    `rc` - - the RenderContext in place

### asFillImage

    public static void asFillImage(CssStyle cssStyle,
                                   Component component,
                                   java.lang.String propertyName,
                                   Style fallbackStyle,
                                   RenderContext rc)

  This will render the FillImage property from the component. It uses property name to find the FillImage and also assumes the the ImageRenderSupport uses the same name when providing the Image.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle object to render into
    `component` - - the component that may implement some of the known interfaces
    `propertyName` - - the name of the components's "render" property
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the component.
    `rc` - - the RenderContext in place

### asFont

    public static void asFont(CssStyle cssStyle,
                              Component component)

  Renders the specified component's "font" property as a Font into the CssStyle provided.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()

### asFont

    public static void asFont(CssStyle cssStyle,
                              Component component,
                              java.lang.String propertyName)

  Renders the specified component's property as a Font into the CssStyle provided.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `propertyName` - - the name of the components's "render" property

### asFont

    public static void asFont(CssStyle cssStyle,
                              Component component,
                              java.lang.String propertyName,
                              Style fallbackStyle)

  Renders the specified component's property as a Font into the CssStyle provided.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `propertyName` - - the name of the components's "render" property
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the component.

### asFont

    public static void asFont(CssStyle cssStyle,
                              Component component,
                              Style fallbackStyle)

  Renders the specified component's "font" property as a Font into the CssStyle provided.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the component.

### asFont

    public static void asFont(CssStyle cssStyle,
                              Font font)

  Renders the specified font into the CssStyle provided.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `font` - - the font to render

### asHeightable

    public static void asHeightable(CssStyle cssStyle,
                                    Heightable able)

  Renders a Heightable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asHeightable

    public static void asHeightable(CssStyle cssStyle,
                                    Heightable able,
                                    Style fallbackStyle)

  Renders a Heightable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the Heightable.

### asInsetable

    public static void asInsetable(CssStyle cssStyle,
                                   Insetable able)

  Renders an Insetable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asInsetable

    public static void asInsetable(CssStyle cssStyle,
                                   Insetable able,
                                   Style fallbackStyle)

  Renders an Insetable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the Insetable.

### asAlignable

    public static void asAlignable(CssStyle cssStyle,
                                   Alignable able)

  Renders an Alignable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asAlignable

    public static void asAlignable(CssStyle cssStyle,
                                   Alignable able,
                                   Style fallbackStyle)

  Renders an Alignable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the Alignable.

### asBackgroundImageable

    public static void asBackgroundImageable(RenderContext rc,
                                             CssStyle cssStyle,
                                             BackgroundImageable able)

  Renders an BackgroundImageable into the CssStyle.

  Parameters:
    `rc` - - the
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asBackgroundImageable

    public static void asBackgroundImageable(RenderContext rc,
                                             CssStyle cssStyle,
                                             BackgroundImageable able,
                                             Style fallbackStyle)

  Renders an BackgroundImageable into the CssStyle.

  Parameters:
    `rc` - - the
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the BackgroundImageable.

### asBackgroundImage

    public static void asBackgroundImage(RenderContext rc,
                                         CssStyle cssStyle,
                                         FillImage backgroundImage)

  Renders an background `FillImage` into the CssStyle.

  Parameters:
    `rc` - - the
    `cssStyle` - - the style in question
    `backgroundImage` - - where source of the background image

### asBackgroundImageImpl

    public static void asBackgroundImageImpl(RenderContext rc,
                                             CssStyle cssStyle,
                                             FillImage backgroundImage,
                                             Component component)

### asInsets

    public static void asInsets(CssStyle cssStyle,
                                Component component,
                                java.lang.String propertyName,
                                java.lang.String cssAttributeName)

  Renders the specified component's property as an Insets into the CssStyle provided.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `propertyName` - - the name of the components's "render" property
    `cssAttributeName` - - the name of the CSS attribute, such as "margin" or "padding"

### asInsets

    public static void asInsets(CssStyle cssStyle,
                                Component component,
                                java.lang.String propertyName,
                                java.lang.String cssAttributeName,
                                Style fallbackStyle)

  Renders the specified component's property as an Insets into the CssStyle provided.

  This does a lookup of the component's properties via getRenderProperty(propertyName) and casts the return value appropriately, so take care with property name.

  Parameters:
    `cssStyle` - - the CssStyle to render into
    `component` - - the component to inpect via getRenderProperty()
    `propertyName` - - the name of the components's "render" property
    `cssAttributeName` - - the name of the CSS attribute, such as "margin" or "padding"
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the component.

### asMouseCursorable

    public static void asMouseCursorable(CssStyle cssStyle,
                                         MouseCursorable able)

  Renders a MouseCursorable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asMouseCursorable

    public static void asMouseCursorable(CssStyle cssStyle,
                                         MouseCursorable able,
                                         Style fallbackStyle)

  Renders a MouseCursorable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the MouseCursorable.

### asPositionable

    public static void asPositionable(CssStyle cssStyle,
                                      Positionable able)

  Renders a Positionable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asPositionable

    public static void asPositionable(CssStyle cssStyle,
                                      Positionable able,
                                      Style fallbackStyle)

  Renders a Positionable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the Positionable.

### asScrollable

    public static void asScrollable(CssStyle cssStyle,
                                    Scrollable able)

  Renders a Scrollable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asScrollable

    public static void asScrollable(CssStyle cssStyle,
                                    Scrollable able,
                                    Style fallbackStyle)

  Renders a Scrollable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the Scrollable.

### asSizeable

    public static void asSizeable(CssStyle cssStyle,
                                  Sizeable able)

  Renders a Sizeable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asSizeable

    public static void asSizeable(CssStyle cssStyle,
                                  Sizeable able,
                                  Style fallbackStyle)

  Renders a Sizeable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the Sizeable.

### asWidthable

    public static void asWidthable(CssStyle cssStyle,
                                   Widthable able)

  Renders a Widthable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information

### asWidthable

    public static void asWidthable(CssStyle cssStyle,
                                   Widthable able,
                                   Style fallbackStyle)

  Renders a Widthable into the CssStyle.

  Parameters:
    `cssStyle` - - the style in question
    `able` - - where source of the style information
    `fallbackStyle` - - a style to use as a default source of property information if it cant be found in the Widthable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD